Subject: Re: [PATCH net-next v2 2/9] dpll: spec: Add Netlink spec in YAML

From: Jakub Kicinski <[email-masked]>
Date: Tue, 8 Aug 2023 13:06:17 -0700

On Tue, 8 Aug 2023 13:03:27 -0700 Jakub Kicinski wrote:
> >   const struct nla_policy dpll_pin_parent_pin_nl_policy[DPLL_A_PIN_STATE 
> > + 1] = {
> >          [DPLL_A_PIN_STATE] = NLA_POLICY_RANGE(NLA_U8, 1, 3),
> >          [DPLL_A_PIN_ID] = { .type = NLA_U32, },
> > 
> > 
> > The "/* private: */" comment was added to the generator after Simon's
> > comment. But I'll include this part into the next version.  
> 
> We only added private for enum masks, I'll send a patch for nlattrs.

On closer look these have no kdoc, so the priv markings are not
necessary, dropping them sounds right.